Bug 969916 - [abrt] system-config-printer-1.4.1-3.fc19: newprinter.py:3429:fillModelList:AttributeError: 'NoneType' object has no attribute 'getModels'
Summary: [abrt] system-config-printer-1.4.1-3.fc19: newprinter.py:3429:fillModelList:A...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 19
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:79673f4641df46c15c3997e6524...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 02:38 UTC by Stephen Haffly
Modified: 2013-06-13 06:36 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.4.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 06:36:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (569 bytes, text/plain)
2013-06-03 02:38 UTC, Stephen Haffly
no flags Details
File: core_backtrace (234 bytes, text/plain)
2013-06-03 02:38 UTC, Stephen Haffly
no flags Details
File: environ (1.32 KB, text/plain)
2013-06-03 02:38 UTC, Stephen Haffly
no flags Details

Description Stephen Haffly 2013-06-03 02:38:09 UTC
Version-Release number of selected component:
system-config-printer-1.4.1-3.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.1-3.fc19.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
newprinter.py:3429:fillModelList:AttributeError: 'NoneType' object has no attribute 'getModels'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/newprinter.py", line 3425, in on_tvNPMakes_cursor_changed
    self.fillModelList()
  File "/usr/share/system-config-printer/newprinter.py", line 3429, in fillModelList
    models = self.ppds.getModels(self.NPMake)
AttributeError: 'NoneType' object has no attribute 'getModels'

Local variables in innermost frame:
self: <NewPrinterGUI object at 0x1dc7af0 (newprinter+NewPrinterGUI at 0x1e572c0)>

Comment 1 Stephen Haffly 2013-06-03 02:38:12 UTC
Created attachment 756154 [details]
File: backtrace

Comment 2 Stephen Haffly 2013-06-03 02:38:15 UTC
Created attachment 756155 [details]
File: core_backtrace

Comment 3 Stephen Haffly 2013-06-03 02:38:18 UTC
Created attachment 756156 [details]
File: environ

Comment 4 Tim Waugh 2013-06-03 10:08:03 UTC
I'm fairly sure this was fixed upstream in commit 1cb9acd.  I managed to reproduce it by going to add a new printer, then cancelling *after* the choice of models is presented, then repeating the process.

Comment 5 Fedora Update System 2013-06-07 16:29:01 UTC
system-config-printer-1.4.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-6.fc19

Comment 6 Fedora Update System 2013-06-08 02:56:49 UTC
Package system-config-printer-1.4.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10351/system-config-printer-1.4.1-6.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-06-13 06:36:16 UTC
system-config-printer-1.4.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.